> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# List executions

> List all non-completed executions for the active org.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/workloads/list
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/workloads/list:
    get:
      tags:
        - Executions
      summary: List executions
      description: List all non-completed executions for the active org.
      operationId: list_non_complete_executions_api_v2_external_workloads_list_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/app__api__v2_streaming__external__compute__abort_workloads__ExecutionSummary
                type: array
                title: >-
                  Response List Non Complete Executions Api V2 External
                  Workloads List Get
components:
  schemas:
    app__api__v2_streaming__external__compute__abort_workloads__ExecutionSummary:
      properties:
        execution_id:
          type: string
          title: Execution Id
        status:
          type: string
          title: Status
        execution_type:
          type: string
          title: Execution Type
        hardware_profile:
          type: string
          title: Hardware Profile
        created_at:
          type: string
          title: Created At
        execution_owner:
          anyOf:
            - type: string
            - type: 'null'
          title: Execution Owner
        job_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Type
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
      type: object
      required:
        - execution_id
        - status
        - execution_type
        - hardware_profile
        - created_at
      title: ExecutionSummary
      description: Summary model for execution information.

````